IndexBase::Reference Class Reference
Collaboration diagram for IndexBase::Reference:
[legend]

## Public Member Functions

void | reset ()

## Public Attributes

int32_t | n_bin
int32_t | n_intv
std::vector< Bin > | bins
uint64_t * | ioffsets
uint64_t | minChunkOffset
uint64_t | maxChunkOffset
int32_t | n_mapped
int32_t | n_unmapped

## Static Public Attributes

static const int32_t | UNKNOWN_MAP_INFO = -1
static const uint64_t | UNSET_MIN_CHUNK_OFFSET = 0xFFFFFFFFFFFFFFFFULL

## Detailed Description

Definition at line 118 of file IndexBase.h.

The documentation for this class was generated from the following file:

- general/IndexBase.h